Skip to main content
POST
/
party-groups
Create a party group
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/party-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "<string>",
  "members": [
    {
      "partyId": "<string>",
      "relationshipType": "<string>",
      "ownershipPercentage": 123
    }
  ]
}
'
{
  "groupId": "grp_01JQ9KDN2S9YB2X6K11H65VF0K",
  "name": "Northwind Group",
  "members": [
    {
      "partyId": "<string>",
      "relationshipType": "subsidiary",
      "ownershipPercentage": 100
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
name
string
required
members
object[]
required

Response

Party group created

groupId
string
required
Example:

"grp_01JQ9KDN2S9YB2X6K11H65VF0K"

name
string
required
Example:

"Northwind Group"

members
object[]
required